org.apache.calcite.avatica.util

## Class Spaces.SpaceList

- java.lang.Object
- - java.util.concurrent.CopyOnWriteArrayList<String>
  - - org.apache.calcite.avatica.util.Spaces.SpaceList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<String>, Collection<String>, List<String>, RandomAccess

Enclosing class:
  Spaces

    private static class Spaces.SpaceList
    extends CopyOnWriteArrayList<String>

List whose `i`th entry is a string consisting of `i` spaces. It populates itself the first time you ask for a particular string, and caches the result.

### Constructor Summary

Constructors
`private` `SpaceList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `get(int index)`
`private void` `populate(int newSize)` Populates this list with all prefix strings of a given string.

### Methods inherited from class java.util.concurrent.CopyOnWriteArrayList

`add, add, addAll, addAll, addAllAbsent, addIfAbsent, clear, clone, contains, containsAll, equals, forEach, hashCode, indexOf, indexOf, isEmpty, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### SpaceList

    private SpaceList()

### Method Detail

#### get

    public String get(int index)

Specified by:
  `get` in interface `List<String>`
Overrides:
  `get` in class `CopyOnWriteArrayList<String>`

#### populate

    private void populate(int newSize)

Populates this list with all prefix strings of a given string. All of the prefix strings share the same backing array of chars.